<mat-toolbar>
  <span>Login</span>
  <form
    class="login-form"
    #loginForm="ngForm"
    (ngSubmit)="login(username.value, password.value)"
  >
    <mat-form-field>
      <input
        matInput
        type="text"
        id="username"
        name="username"
        placeholder="Username"
        ngModel
        required
        #username="ngModel"
      />
    </mat-form-field>

    <mat-form-field>
      <input
        matInput
        type="password"
        id="password"
        name="password"
        placeholder="Password"
        ngModel
        required
        #password="ngModel"
      />
    </mat-form-field>

    <button
      mat-raised-button
      color="primary"
      type="submit"
      [disabled]="loginForm.invalid"
    >
      Login
    </button>
  </form>
</mat-toolbar>
